VisualEditor: Lag when selecting complex templates (especially in big pages)
Closed, ResolvedPublic

Description

(from bug 49922 comment 1)

VE is slow at selecting templates and transclusions in big pages.

For example: [[World War II]]:

  • attempt to select infobox by clicking on it: takes ~3 seconds in Firefox 21 and Chrome 27, with no visual indication that anything is happening during the wait
  • attempt to select the reflist by clicking on it: just hangs in Firefox and Chrome, never actually seems to happen

This either needs to be sped up, or fail more gracefully.

In IE10, this is not such a problem \o/ - lag is actually less, and the reflist can be selected (takes about 22 seconds).


Version: unspecified
Severity: normal

bzimport set Reference to bz50084.
TTO created this task.Via LegacyJun 24 2013, 4:32 AM
Ryasmeen added a comment.Via ConduitNov 11 2013, 7:46 PM

Experienced the lag in selecting both the info box and reflist on that page in chrome Version 26.0.1410.65 and firefox 20 (MAC OS X version 10.8.5)

However, did not experience the hang while selecting the reflist in either of the browsers.

Also,while selecting the reflist , the blue selection box progresses beyond the reflist selected in both sides.

See the screenshots attached.

Ryasmeen added a comment.Via ConduitNov 11 2013, 7:47 PM

Created attachment 13764
Above the reflist

Attached:

Ryasmeen added a comment.Via ConduitNov 11 2013, 7:48 PM

Created attachment 13765
beyond the selected reflist

Attached:

Jdforrester-WMF added a comment.Via ConduitJul 31 2014, 4:36 PM

This is an old report that I think is now closable (but performance is of course an on-going concern).

For these particular concerns, we've recently fixed a number of performance issues germane to these:

  • Selection of the template, and opening the dialog, takes much less than a second now for me (I'd call it instant, roughly).
  • Loading the second reflist is much quicker too (the first one was already near-instant).

(Note that these fixes should hit production later today.)

Consequently, I'm marking this as "FIXED", though there's always going to be more to do.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.